//!.....dimension of simulation grid  
	int dim = 4;  

//!.....simulation
	int no_rand_points = 10000;//length of simulated path
		
//!.....Degrees of freedom; #No of policies to simulate on
	int DofPerNode = dim + 1; 
	int N = DofPerNode; 
	
//!.....verbosity -- 0: no status, 1: status where simulation is
	int verbosity = 0;

//!.....model parameters
	double beta = 0.99;
	double alpha = 0.36;
	double delta = 0.01;//0.01;
	double sigma = 0.01;
	double rho = 0.95;
	double phi = 0.5;//0.0;//0.5;
	double big_A = (1 - beta + beta*delta)/(alpha*beta);
	double k_bar = 0.8;
	double k_up = 1.2;
	double a_bar = exp((-0.8*sigma)/(1.-rho));  
	double a_up = exp((0.8*sigma)/(1.-rho));        
	double range_cube = 1.; //range of [0..1]^d in 1D	
	
//!.....Initialize gamma (Juillard et al. 2011 - JDC, Table 2)
//!.....gamma equally spread over [0.25,1]
	double range_up = 1;
	double range_down = 0.25;
	double range = range_up - range_down;

//!.....uniform distributed points on [0,1]
	double range_up_MC = 1.;   
	double range_down_MC = 0.0;  
	double range_MC = range_up_MC - range_down_MC;	

//......auxiliary variables
	double *fvalue = new double[N];	//interpolation value	
	double *fvalue_pp = new double[N];	//interpolation value
	int dim_half = dim/2; 
	double epsilon_acc = 0.0; 	
	double max_max_error = 0;
	double ave_max = 0;
	int counter_error = 0;
	double ave_ave = 0.0;
	double dividend_eq, divisor_eq, quot_eq; 
	double growth, growth_plus;  
	double int_coord;  
	double lambda_pp;
	double temp = 0;
	double temp_sum = 0;
	double divisor = 0;
        double EE, IC;
	      
	