//!.....dimension of simulation grid  
	int dim = 4;  
	
//!.....Degrees of freedom; #No of functions stored on grid
	int DoF = 6;  
	
//!.....simulation length
	int nrsim = 400;      //how many steps
	int nrfirms = 40000;   //how many firms 		
	
//!.....verbosity -- 0: no status, 1: status where simulation is
	int verbosity = 1;
	
//!.....interpolation value
	double *fvalue = new double[DoF];	
//!.....Mapping parameters from Econ to [0..1]^d box            
        double mu_up = 2.7;
        double mu_down = 1.3;
        double g_up = 1.005;
        double g_down = 0.995;
        double p_up =  1.02;
        double p_down = 0.98;
	double p_co, p_co_next, g_co, g_co_next;
	double p_co_ss = 1.381;

//!.....model parameters
        double sigma_m = 0.00032;
        double sigma_a = 0.08;
        double zeta_0 = 0;
        double zeta_1 = -0.549;
        double zeta_2 =  0.934;
        double e_bar   = 0.741;
        double alpha = 0.126;
        double rho     = 0.524;
        double rho_m   = 0.884;
        double e_current, e_next;
        double prob_v1, prob_v2;
        double xi = 0.845;
	double theta = 1.01;
	double money = 1.00;
	int with_m_shock = 1; //0: debug -- 1: normal
	
	
	
//!.....probability parameter
        double p_a = 0.03;
	
//!.....price counter
	int price_1=0, price_2=0, price_3=0;

//!.....in which state are we now	
	int state_in;
	
//!.....which is next state
	int state_plus1;
	
//!.....VF1, muR, VF2, mu, VF3, 
	double VF1, VF2,VF3;
	double mu_R, mu;
	
//!.....price changes
	double price_disc, price_cont;
	
//!.....random variables
	double eta_m, eta_a1, eta_a2;
	
//!.....variables 
	double x1s, x2s;	
	double delta_mu1_old, delta_mu1_current;
	double delta_a_plus_old;
	double e_plus_old, e_plus_current;
	double eta_a1_old;
	double eta_a2_old;
	double p1_old, p1_current;
	double Gplus;
	double delta_price;
	double delta_price2;	
	double delta_price_R;
	double delta_price2_R;	
	double delta_a1_plus_old;
	double delta_a2_plus_old;	